4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.PackageManager

Classes: PackageManager |  |  |  | Functions: wrap_text |  |  |  | Fields: DEBUG, INSTALL_SUCCESS

## Classes

class PackageManager(Ft.Lib.DistExt.Dist.Dist)

### Methods

__init__(self, attrs)
finalize_options(self)
get_package_distribution(self, package)
handle_display_options(self, option_order)
merge_package(self, package_info, overwrite=0)
print_packages(self)
resolve_dependencies(self, package)
run_commands(self)
sort_dependencies(self, packages)

### Methods inherited from class Ft.Lib.DistExt.Dist.Dist

announce, get_command_class, get_command_list, has_bgen, has_docs, has_idl, has_l10n, has_localstate, has_scripts, has_sysconf, has_tests, parse_command_line, print_commands, print_option_list, run_command

### Methods inherited from class distutils.dist.Distribution

dump_option_dicts, find_config_files, get_command_obj, get_command_packages, get_option_dict, has_c_libraries, has_data_files, has_ext_modules, has_headers, has_modules, has_pure_modules, is_pure, parse_config_files, print_command_list, reinitialize_command

### Fields

display_option_names = ['help_packages', 'help_compilers', 'help_commands', 'name', 'version', 'fullname', 'author', 'author_email', 'maintainer', 'maintainer_email', 'contact', 'contact_email', 'url', 'license', 'licence', 'description', 'long_description', 'platforms', 'classifiers', 'keywords']
display_options = [('help-packages', None, 'list all available packages'), ('help-compilers', None, 'list available compilers'), ('help-commands', None, 'list all available commands'), ('name', None, 'print package name'), ('version', 'V', 'print package version'), ('fullname', None, 'print <package name>-<version>'), ('author', None, "print the author's name"), ('author-email', None, "print the author's email address"), ('maintainer', None, "print the maintainer's name"), ('maintainer-email', None, "print the maintainer's email address"), ('contact', None, "print the maintainer's name if known, else the author's"), ('contact-email', None, "print the maintainer's email address if known, else the author's"), ('url', None, 'print the URL for this package'), ('license', None, 'print the license of the package'), ('licence', None, 'alias for --license'), ('description', None, 'print the package description'), ('long-description', None, 'print the long package description'), ('platforms', None, 'print the list of platforms'), ('classifiers', None, 'print the list of classifiers'), ('keywords', None, 'print the list of keywords')]
global_options = [('verbose', 'v', 'run verbosely (default)', 1), ('quiet', 'q', 'run quietly (turns verbosity off)'), ('dry-run', 'n', "don't actually do anything"), ('help', 'h', 'show detailed help message'), ('package=', 'p', 'limit command(s) to a given package')]

### Fields

## Functions

wrap_text(text, width)

## Fields

DEBUG = None
INSTALL_SUCCESS = '%(name)s version %(version)s has been successful...ous formats, if installed:\n\n %(install_docs)s\n'